Distribution:	CCux
Packager:  	Karsten Brockmann <arcam@ccux-linux.de>

Summary:        opensource implementation of the Lightweight Directory Access Protocol 
Name:      	openldap
Version:        2.3.42
Release:   	1
License: 	GNU/GPL
URL:	  	http://www.openldap.org/
Group:     	Networking/Servers
Source0: 	%{name}-%{version}.tgz
Source1:	openldap
Patch0:		openldap-ntlm.diff
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires:  cairo-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype-devel
BuildRequires:  gdk-pixbuf-devel
BuildRequires:  glib-devel
BuildRequires:  libjpeg-devel
BuildRequires:  pango-devel
BuildRequires:  zlib
BuildRequires:	cyrus-sasl-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1

%description
OpenLDAP Software is an open source implementation of the Lightweight Directory Access Protocol. 
The suite includes: 
slapd - stand-alone LDAP daemon (server) 
slurpd - stand-alone LDAP update replication daemon 
libraries implementing the LDAP protocol, and 
utilities, tools, and sample clients. 

%package        devel
Summary:        %{name} development headers.
Group:          %{group}
Requires:       %{name} = %{version}-%{release}

%description    devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -n %{name}-%{version}
#%patch0 -p0

%build
export CFLAGS="$CFLAGS -D_GNU_SOURCE"
export CXXFLAGS=$CFLAGS
./configure 	--prefix=%_prefix \
		--libexecdir=/usr/sbin \
		--sysconfdir=%_sysconfdir \
		--localstatedir=/srv/ldap \
		--mandir=%_mandir \
		--disable-debug \
		--enable-dynamic \
		--enable-crypt \
		--enable-modules \
		--enable-ldap \
		--enable-ldbm \
		--enable-dyngroup \
		--enable-dynlist \
		--enable-ppolicy \
		--enable-valsort \
		--with-cyrus-sasl 
make depend 
make 

# commented out by purpose, tests run fine but take ages, readd in final version
# of package
#make test


%install
make install DESTDIR=$RPM_BUILD_ROOT

# install init script
# symlinks for the runlevels aren't included on purpose, as the basic
# configuration needs to be clarified by someone who knows ldap ;)

mkdir -p %RPM_BUILD_ROOT/etc/rc.d/init.d/
install %{SOURCE1} %RPM_BUILD_ROOT/etc/rc.d/init.d/

# stripping package
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%doc doc/guide
/srv
%_sysconfdir
%_bindir
%_sbindir
%_libdir/*.so.*
%_mandir

%files devel
%defattr(-,root,root)
%_includedir
%_libdir/*.a
%_libdir/*.la
%_libdir/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Jun 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 2.3.42-1
- Version update
* Wed Oct 11 2006 Christian Metzen <metzench@ccux-linux.de> 2.3.27-1
- Version update
* Sun Jul 02 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.3.24-1
- Version update, added ntlm support
* Tue Mar 28 2006 Karsten Brockmann <arcam@ccux-linux.de> 2.3.20-1
- Initial Release
